[slf4j-dev] svn commit: r657 - slf4j/trunk

ceki at slf4j.org ceki at slf4j.org
Thu Sep 14 20:11:01 CEST 2006


Author: ceki
Date: Thu Sep 14 20:11:01 2006
New Revision: 657

Added:
   slf4j/trunk/updateBundle.sh

Log:
script for uploading bundles on pixie

Added: slf4j/trunk/updateBundle.sh
==============================================================================
--- (empty file)
+++ slf4j/trunk/updateBundle.sh	Thu Sep 14 20:11:01 2006
@@ -0,0 +1,29 @@
+
+VERSION=1.1.0-beta0
+echo $VERSION
+
+MVN=/java/maven-2.0.4/bin/mvn
+
+update() {
+ MODULE=$1
+ pushd $MODULE
+ $MVN repository:bundle-create 
+ echo Maven exited with $?
+ if [ $? != 0 ]
+ then
+   echo mvn command failed
+   exit 1;
+ fi
+ scp target/$MODULE-$VERSION-bundle.jar pixie:/var/www/www.slf4j.org/htdocs/dist/bundles/
+ popd
+}
+
+update slf4j-api
+update slf4j-archetype
+update slf4j-jcl
+update slf4j-jdk14
+update slf4j-log4j12
+update slf4j-nop
+update slf4j-simple
+update jcl104-over-slf4j
+update log4j-over-slf4j
\ No newline at end of file



More information about the slf4j-dev mailing list